varying vec2 vUv;
varying vec3 vNormal;

uniform float time;               // Pass time to fragment shader
uniform vec2 resolution;          // Pass resolution to fragment shader

void main() {
    vUv = uv;
    vNormal = normalize(normalMatrix * normal);

    gl_Position = projectionMatrix * modelViewMatrix * vec4(position, 1.0);
}
